Distribution:	CCux Linux
Packager:	Christian Wasem <wasem[at]ccux-linux.de>

Summary:	The GNU Image Manipulation Programm.
Name:		gimp
Version:	2.6.0
Release:	1
License:	GNU/GPL
URL:		http://www.gimp.org
Group:		Graphics   
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:  bash
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXt-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  atk-devel
BuildRequires:  cairo-devel
BuildRequires:  poppler-devel >= 0.6
BuildRequires:  poppler-glib-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:	gtk2+-devel >= 2.8.6
BuildRequires:  pango-devel
BuildRequires:	glib-devel >= 2.8.3  
BuildRequires:  PyGTK-devel >= 2.8.0 
BuildRequires:  librsvg-devel 
BuildRequires:  libwmf-devel 
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libxml2-devel
BuildRequires:	libexif-devel >= 0.6.12 
BuildRequires:  aalib-devel 
BuildRequires:  libmng-devel 
BuildRequires:  lcms-devel
BuildRequires:  zlib-devel
BuildRequires:  babl-devel
BuildRequires:	gegl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The GNU Image Manipulation Programm.

%package devel
Summary: 	%{name} development headers.
Group:		%{group}          
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with gimp.

%package doc
Summary: 	%{name} docs.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description doc
Documentation files for %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
# disabled print because gutenprint provides the gimp printing plugin
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --enable-python --disable-debug --disable-print --enable-gimp-remote
make

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/usr/share/applications
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sysconfdir/gimp/
%_bindir/
%_libdir/*.so.*
%_libdir/gimp/
%_datadir/applications/gimp.desktop
#%_datadir/application-registry
%_datadir/icons
#%_datadir/mime-info
%_datadir/gimp/
%_datadir/locale/
%_mandir/man1/
%_mandir/man5/

%files devel
%defattr(-,root,root)
%{_includedir}
%_libdir/*.la
%_libdir/pkgconfig/
%_libdir/*.so
%_datadir/aclocal/*.m4

%files doc
%defattr(-,root,root)
/usr/share/gtk-doc/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Oct 03 2008 Christian Metzen <metzench@ccux-linux.de> 2.6.0-1
- Version update
* Wed Sep 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5.4-1
- Version update
* Sat Aug 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5.3-1
- Version update
* Sat Aug 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5.2-1
- Version update
* Sat May 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.6-1
- Version update
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.5-2
- rebuilt against poppler 0.8.0
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 2.4.5-1
- Version update
* Thu Jan 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.4-1
- Version update
* Mon Dec 17 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.3-1
- Version update
* Wed Nov 21 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.2-1
- Version update
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.1-1
- Version update
* Wed Oct 24 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.0-5
- update to 2.4.0 final
* Tue Oct 02 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.0-4
- rebuild for missing devel package
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.0-3
- rebuild against latest poppler version
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.4.0-2
- RC3
* Sat Sep 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.4.0-1
- Version update
- RC2
* Sun Jul 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.19-1
- Version update
* Tue Jun 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.18-1
- Version update
* Mon May 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.3.17-1
- Version update
* Fri Apr 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.3.16-1
- Version update
* Tue Mar 13 2007 Christian Metzen <metzench@ccux-linux.de> 2.3.15-1
- Version update
* Mon Mar 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.14-1
- Version update
* Sun Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3.13-1
- Version update
* Sat Nov 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3.12-1
- Version update
* Tue Oct 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.13-2
- added build requires
* Fri Aug 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.13-1
- Version Update
* Wed Aug 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.12-1
- Version Update
* Sat Apr 15 2006 Christian Metzen <metzench@ccux-linux.de> 2.2.11.-1
- Version update
* Wed Dec 28 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.2.10-1
- Version Update
* Sat Oct 29 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.9-1
- Version update
* Wed Sep 28 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.8-3
- Rebuild against newest gtk, Pygtk
* Thu Sep 22 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.8-2
- Removed double menu entry, refined files list
* Tue Jun 28 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.8-1
- Version update to 2.2.8
* Mon May 09 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.7-1
- Version update to 2.2.7
* Sun Apr 17 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.6-2
- Removed double desktop entry.
* Sun Apr 10 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.6-1
- Version update to 2.2.6
* Wed Feb 23 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.4-1
- Version Update to 2.2.4, moved .desktop Location
* Wed Feb 02 2005 Christian Wasem <wasem[at]ccux-linux.de> 2.2.3-3
- Added libexif-0.6.10 Dependency, Specfile improvements
* Mon Jan 24 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.3-2
- Added PyGTK Dependency
* Sun Jan 23 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.3-1
- Update to Version 2.2.3
* Mon Jan 10 2005 Christian Metzen <metzench@ccux-linux.de> 2.2.2-1
- Update to Version 2.2.2
* Wed Dec 29 2004 Christian Metzen <metzench@ccux-linux.de> 2.2.1-1
- Update to Version 2.2.1
* Mon Dec 20 2004 Christian Metzen <metzench@ccux-linux.de> 2.2.0-1
- Update to Version 2.2.0
* Wed Dec 01 2004 Christian Metzen <metzench@ccux-linux.de> 2.0.6-2
- Initial Release
